Bug 2034383 (CVE-2021-30888)

Summary: CVE-2021-30888 webkitgtk: Information leak via Content Security Policy reports
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: erack, gnome-sig, mcatanza, tpopela
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: webkitgtk 2.34.0 Doc Type: If docs needed, set a value
Doc Text:
An information leak flaw was found in WebKitGTK. A malicious web site using Content Security Policy reports could use this flaw to leak information via redirects.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-05-10 21:16:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2034384, 2039526    
Bug Blocks: 2034394    

Description Guilherme de Almeida Suckevicz 2021-12-20 19:20:51 UTC
A flaw was found in WebKitGTK. An information leakage issue was addressed.

References:
https://webkitgtk.org/security/WSA-2021-0007.html
https://www.openwall.com/lists/oss-security/2021/12/20/6

Comment 1 Guilherme de Almeida Suckevicz 2021-12-20 19:21:13 UTC
Created webkit2gtk3 tracking bugs for this issue:

Affects: fedora-all [bug 2034384]

Comment 3 errata-xmlrpc 2022-05-10 13:23:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1777 https://access.redhat.com/errata/RHSA-2022:1777

Comment 4 Product Security DevOps Team 2022-05-10 21:16:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-30888